## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelRegion Member List

This is the complete list of members for iCelRegion, including all inherited members.

AssociateEntity(iCelEntity *entity)=0 | iCelRegion | `[pure virtual]`
CreateMapFile()=0 | iCelRegion | `[pure virtual]`
DissociateEntity(iCelEntity *entity)=0 | iCelRegion | `[pure virtual]`
GetCachePath() const =0 | iCelRegion | `[pure virtual]`
GetMapFile(int idx) const =0 | iCelRegion | `[pure virtual]`
GetMapFileCount() const =0 | iCelRegion | `[pure virtual]`
GetName() const =0 | iCelRegion | `[pure virtual]`
RemoveAllMapFiles()=0 | iCelRegion | `[pure virtual]`
RemoveMapFile(iCelMapFile *mapfile)=0 | iCelRegion | `[pure virtual]`
SetCachePath(const char *path)=0 | iCelRegion | `[pure virtual]`